# Uses of Interface
java.lang.classfile.attribute.LocalVariableInfo

Packages that use LocalVariableInfo
Package
Description
java.lang.classfile.attribute
Provides interfaces describing `class` file attributes for the `java.lang.classfile` library.

## Uses of LocalVariableInfo in java.lang.classfile.attribute

Methods in java.lang.classfile.attribute that return types with arguments of type LocalVariableInfo
Modifier and Type
Method
Description
`List<LocalVariableInfo>`
LocalVariableTableAttribute.`localVariables()`
Returns debug information for the local variables in this method.
Method parameters in java.lang.classfile.attribute with type arguments of type LocalVariableInfo
Modifier and Type
Method
Description
`static LocalVariableTableAttribute`
LocalVariableTableAttribute.`of(List<LocalVariableInfo> locals)`
Returns a `LocalVariableTable` attribute.